[script]
n0=--------------- ALIAS DDL -----------------
n1=alias mdx { var %dll $mircdirAddon\dll\mdx\mdx.dll } | return $dll(%dll,$1,$2-) }
n2=alias dialogx { return $mircAddon\dll\mdx\dialog.mdx }
n3=alias mdxbegin { mdx SetMircVersion $version | mdx MarkDialog $dname }
n4=
n5=-------------- TI CERCANO -----------------
n6=
n7=alias Ti-Cercano { /dialog -m Ti-cercano Ti-cercano }
n8=
n9=on *:TEXT:*:#:{
n10=  if ($me isin $1-) { splay \sounds\me.wav }
n11=  if (%Ti-cercano = on ) { 
n12=    if ($me isin $1-) && ($active != #) { window -nk0 @Ti-cercano | aline -h @Ti-cercano 15 $+ $timestamp 15[9Ti cerca15]  9 $nick  su 15 $chan  dicendo:  $1-  } 
n13=  }
n14=} 
n15=
n16=dialog Ti-cercano {
n17=  title "Ti Cercano"
n18=  size -1 -1 160 67
n19=  radio "Attiva", 1, 10 4 65 35
n20=  radio "Disattiva", 2, 10 37 65 25
n21=  button "Ok", 5, 87 10 60 23, ok
n22=  button "Annulla", 6, 87 37 60 23, cancel
n23=}
n24=on *:dialog:Ti-cercano:init:*: {
n25=  mdxbegin
n26=  mdx SetBorderStyle $dname 5,6 dlgframe
n27=  mdx SetFont $dname 5,6 14 610 comic sans ms
n28=  mdx SetFont $dname 1,2 16 630 comic sans ms
n29=  mdx SetColor $dname 1,2 radio $rgb(255,0,0)
n30=  if (%Ti-cercano = on) { did -cf Ti-cercano 1 }
n31=  else { did -cf Ti-cercano 2 }
n32=}
n33=on *:dialog:Ti-cercano:sclick:*: {
n34=  if ($did = 1) { set %Ti-cercano on | splay -m /sounds/attivato.wav | echo -a 15[9Ti cerca15] 9A15ttivato }
n35=  if ($did = 2) { set %Ti-cercano off | splay -m /sounds/deattivato.wav | echo -a 15[9Ti cerca15] 9D15isattivato }
n36=  if ($did = 5) { splay \sounds\conferma.wav }
n37=  if ($did = 6) { splay \sounds\conferma.wav }
n38=}
